<?xml version="1.0" encoding="utf-8"?>
<osk caps="lowercase, uppercase">
    <row>
        <key type="char" name="q" lowercase="q" uppercase="Q" />
        <key type="char" name="w" lowercase="w" uppercase="W" />
        <key type="char" name="e" lowercase="e" uppercase="E" />
        <key type="char" name="r" lowercase="r" uppercase="R" />
        <key type="char" name="t" lowercase="t" uppercase="T" />
        <key type="char" name="y" lowercase="y" uppercase="Y" />
        <key type="char" name="u" lowercase="u" uppercase="U" />
        <key type="char" name="i" lowercase="i" uppercase="I" />
        <key type="char" name="o" lowercase="o" uppercase="O" />
        <key type="char" name="p" lowercase="p" uppercase="P" />
    </row>
    <row>
        <key type="char" name="a" lowercase="a" uppercase="A" />
        <key type="char" name="s" lowercase="s" uppercase="S" />
        <key type="char" name="d" lowercase="d" uppercase="D" />
        <key type="char" name="f" lowercase="f" uppercase="F" />
        <key type="char" name="g" lowercase="g" uppercase="G" />
        <key type="char" name="h" lowercase="h" uppercase="H" />
        <key type="char" name="j" lowercase="j" uppercase="J" />
        <key type="char" name="k" lowercase="k" uppercase="K" />
        <key type="char" name="l" lowercase="l" uppercase="L" />
        <key type="placeholder" />
    </row>
    <row>
        <key type="placeholder" />
        <key type="char" name="z" lowercase="z" uppercase="Z" />
        <key type="char" name="x" lowercase="x" uppercase="X" />
        <key type="char" name="c" lowercase="c" uppercase="C" />
        <key type="char" name="v" lowercase="v" uppercase="V" />
        <key type="char" name="b" lowercase="b" uppercase="B" />
        <key type="char" name="n" lowercase="n" uppercase="N" />
        <key type="char" name="m" lowercase="m" uppercase="M" />
        <key type="delete" name="delete" label="Delete" width="2" />
    </row>
    <row>
        <key type="switch" name="caps" caps="lowercase, uppercase"
             label="Caps" width="2" />
        <key type="placeholder" />
        <key type="char" name="space" label="Space"
             lowercase=" " uppercase=" " width="4" />
        <key type="misc" name="switch" label="123" value="switch_keyboard" />
        <key type="misc" name="enter" label="Enter" value="enter" width="2" />
    </row>
</osk>